<template>
  <div class="membership-page">
    <div class="container">
      <div class="membership-box">
        <div class="menu-sidebar-box">
          <MenuSidebar />
        </div>
        <div class="membership-main">
          <div class="main-container">
            <div class="title">
              <span>Get Your Free 3-Day Silver Membership Now!</span>
            </div>
            <div class="credits">
              <div class="credit-box">
                <div class="title">
                  <span>Silver</span>
                </div>
                <div class="discount green">
                  <span>Free 3 day trial</span>
                </div>
                <div class="price-box">
                  <div class="dollar">
                    <span>$</span>
                  </div>
                  <div class="value">
                    <span>9</span>
                  </div>
                  <div class="monthly">
                    <div class="monthly-value">
                      <span>99</span>
                    </div>
                    <div class="monthly-text">
                      <span>monthly!</span>
                    </div>
                  </div>
                </div>
                <div class="bonus">
                  <div class="text">
                    <span>+10 Bonus Credits!</span>
                  </div>
                </div>
                <div
                  class="button-plus"
                  id="show-modal"
                  @click="showModal = true"
                >
                  <img src="./img/plus.svg" alt="plus" />
                </div>
              </div>
              <Modal v-if="showModal" @close="showModal = false" />
              <div class="credit-box">
                <div class="title gold-title">
                  <span>Gold</span>
                </div>
                <div class="discount blue">
                  <span>Most popular</span>
                </div>
                <div class="price-box">
                  <div class="dollar">
                    <span>$</span>
                  </div>
                  <div class="value">
                    <span>29</span>
                  </div>
                  <div class="monthly">
                    <div class="monthly-value">
                      <span>99</span>
                    </div>
                    <div class="monthly-text">
                      <span>monthly!</span>
                    </div>
                  </div>
                </div>
                <div class="bonus">
                  <div class="text black">
                    <span>30 Credits FREE*!</span>
                  </div>
                </div>
                <div class="button-plus">
                  <img src="./img/plus.svg" alt="plus" />
                </div>
              </div>
              <div class="credit-box">
                <div class="title platinum-title">
                  <span>Platinum</span>
                </div>
                <div class="price-box platinum-box">
                  <div class="dollar">
                    <span>$</span>
                  </div>
                  <div class="value">
                    <span>29</span>
                  </div>
                  <div class="monthly">
                    <div class="monthly-value">
                      <span>99</span>
                    </div>
                    <div class="monthly-text">
                      <span>monthly!</span>
                    </div>
                  </div>
                </div>
                <div class="bonus">
                  <div class="text black">
                    <span>50 Credits FREE*!</span>
                  </div>
                </div>
                <div class="button-plus">
                  <img src="./img/plus.svg" alt="plus" />
                </div>
              </div>
            </div>
            <div class="levels">
              <div class="image-box">
                <img src="./img/member-girl.svg" alt="girl" />
              </div>
              <div class="table-box desktop">
                <table>
                  <thead>
                    <tr>
                      <td class="membership">Membership Levels:</td>
                      <td class="silver">Silver</td>
                      <td class="gold">Gold</td>
                      <td class="platinum">Platinum</td>
                    </tr>
                  </thead>
                  <tbody>
                    <tr>
                      <td class="item-title silver">Receive Matches</td>
                      <td class="item silver">
                        <img src="./img/v.svg" alt="v" />
                      </td>
                      <td class="item gold">
                        <img src="./img/v.svg" alt="v" />
                      </td>
                      <td class="item platinum">
                        <img src="./img/v.svg" alt="v" />
                      </td>
                    </tr>
                    <tr>
                      <td class="item-title silver">Open UNLIMITED Emails</td>
                      <td class="item silver">
                        <img src="./img/v.svg" alt="v" />
                      </td>
                      <td class="item gold">
                        <img src="./img/v.svg" alt="v" />
                      </td>
                      <td class="item platinum">
                        <img src="./img/v.svg" alt="v" />
                      </td>
                    </tr>
                    <tr>
                      <td class="item-title silver">50% Off Live Chat</td>
                      <td class="item silver">
                        <img src="./img/v.svg" alt="v" />
                      </td>
                      <td class="item gold">
                        <img src="./img/v.svg" alt="v" />
                      </td>
                      <td class="item platinum">
                        <img src="./img/v.svg" alt="v" />
                      </td>
                    </tr>
                    <tr>
                      <td class="item-title silver">50% Off Intro Videos</td>
                      <td class="item silver">
                        <img src="./img/v.svg" alt="v" />
                      </td>
                      <td class="item gold">
                        <img src="./img/v.svg" alt="v" />
                      </td>
                      <td class="item platinum">
                        <img src="./img/v.svg" alt="v" />
                      </td>
                    </tr>
                    <tr>
                      <td class="item-title silver">
                        Send 10 Introductions / month
                      </td>
                      <td class="item silver">
                        <img src="./img/v.svg" alt="v" />
                      </td>
                      <td class="item gold">
                        <img src="./img/minus.svg" alt="minus" />
                      </td>
                      <td class="item platinum">
                        <img src="./img/minus.svg" alt="v" />
                      </td>
                    </tr>
                    <tr>
                      <td class="item-title gold">
                        Send 30 Introductions / month
                      </td>
                      <td class="gold"></td>
                      <td class="item gold">
                        <img src="./img/v.svg" alt="v" />
                      </td>
                      <td class="item platinum">
                        <img src="./img/minus.svg" alt="v" />
                      </td>
                    </tr>
                    <tr>
                      <td class="item-title gold">
                        Send 10 Follow-Up Emails / month
                      </td>
                      <td class="gold"></td>
                      <td class="item gold">
                        <img src="./img/v.svg" alt="v" />
                      </td>
                      <td class="item platinum">
                        <img src="./img/minus.svg" alt="minus" />
                      </td>
                    </tr>
                    <tr>
                      <td class="item-title gold">30 Bonus Credits**</td>
                      <td class="gold"></td>
                      <td class="item gold">
                        <img src="./img/v.svg" alt="v" />
                      </td>
                      <td class="item platinum">
                        <img src="./img/minus.svg" alt="minus" />
                      </td>
                    </tr>
                    <tr>
                      <td class="item-title platinum">
                        Send 50 Introductions / month
                      </td>
                      <td class="platinum"></td>
                      <td class="platinum"></td>
                      <td class="item platinum">
                        <img src="./img/v.svg" alt="v" />
                      </td>
                    </tr>
                    <tr>
                      <td class="item-title platinum">
                        Send 30 Follow-Up Emails / month
                      </td>
                      <td class="platinum"></td>
                      <td class="platinum"></td>
                      <td class="item platinum">
                        <img src="./img/v.svg" alt="v" />
                      </td>
                    </tr>
                    <tr>
                      <td class="item-title platinum">50 Bonus Credits**</td>
                      <td class="platinum"></td>
                      <td class="platinum"></td>
                      <td class="item platinum">
                        <img src="./img/v.svg" alt="v" />
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
              <div class="table-box mobile">
                <horizontal-scroll>
                  <table>
                    <thead>
                      <tr>
                        <td class="membership">Membership Levels:</td>
                        <td class="silver">Silver</td>
                        <td class="gold">Gold</td>
                        <td class="platinum">Platinum</td>
                      </tr>
                    </thead>
                    <tbody>
                      <tr>
                        <td class="item-title silver">Receive Matches</td>
                        <td class="item silver">
                          <img src="./img/v.svg" alt="v" />
                        </td>
                        <td class="item gold">
                          <img src="./img/v.svg" alt="v" />
                        </td>
                        <td class="item platinum">
                          <img src="./img/v.svg" alt="v" />
                        </td>
                      </tr>
                      <tr>
                        <td class="item-title silver">Open UNLIMITED Emails</td>
                        <td class="item silver">
                          <img src="./img/v.svg" alt="v" />
                        </td>
                        <td class="item gold">
                          <img src="./img/v.svg" alt="v" />
                        </td>
                        <td class="item platinum">
                          <img src="./img/v.svg" alt="v" />
                        </td>
                      </tr>
                      <tr>
                        <td class="item-title silver">50% Off Live Chat</td>
                        <td class="item silver">
                          <img src="./img/v.svg" alt="v" />
                        </td>
                        <td class="item gold">
                          <img src="./img/v.svg" alt="v" />
                        </td>
                        <td class="item platinum">
                          <img src="./img/v.svg" alt="v" />
                        </td>
                      </tr>
                      <tr>
                        <td class="item-title silver">50% Off Intro Videos</td>
                        <td class="item silver">
                          <img src="./img/v.svg" alt="v" />
                        </td>
                        <td class="item gold">
                          <img src="./img/v.svg" alt="v" />
                        </td>
                        <td class="item platinum">
                          <img src="./img/v.svg" alt="v" />
                        </td>
                      </tr>
                      <tr>
                        <td class="item-title silver">
                          Send 10 Introductions / month
                        </td>
                        <td class="item silver">
                          <img src="./img/v.svg" alt="v" />
                        </td>
                        <td class="item gold">
                          <img src="./img/minus.svg" alt="minus" />
                        </td>
                        <td class="item platinum">
                          <img src="./img/minus.svg" alt="v" />
                        </td>
                      </tr>
                      <tr>
                        <td class="item-title gold">
                          Send 30 Introductions / month
                        </td>
                        <td class="gold"></td>
                        <td class="item gold">
                          <img src="./img/v.svg" alt="v" />
                        </td>
                        <td class="item platinum">
                          <img src="./img/minus.svg" alt="v" />
                        </td>
                      </tr>
                      <tr>
                        <td class="item-title gold">
                          Send 10 Follow-Up Emails / month
                        </td>
                        <td class="gold"></td>
                        <td class="item gold">
                          <img src="./img/v.svg" alt="v" />
                        </td>
                        <td class="item platinum">
                          <img src="./img/minus.svg" alt="minus" />
                        </td>
                      </tr>
                      <tr>
                        <td class="item-title gold">30 Bonus Credits**</td>
                        <td class="gold"></td>
                        <td class="item gold">
                          <img src="./img/v.svg" alt="v" />
                        </td>
                        <td class="item platinum">
                          <img src="./img/minus.svg" alt="minus" />
                        </td>
                      </tr>
                      <tr>
                        <td class="item-title platinum">
                          Send 50 Introductions / month
                        </td>
                        <td class="platinum"></td>
                        <td class="platinum"></td>
                        <td class="item platinum">
                          <img src="./img/v.svg" alt="v" />
                        </td>
                      </tr>
                      <tr>
                        <td class="item-title platinum">
                          Send 30 Follow-Up Emails / month
                        </td>
                        <td class="platinum"></td>
                        <td class="platinum"></td>
                        <td class="item platinum">
                          <img src="./img/v.svg" alt="v" />
                        </td>
                      </tr>
                      <tr>
                        <td class="item-title platinum">50 Bonus Credits**</td>
                        <td class="platinum"></td>
                        <td class="platinum"></td>
                        <td class="item platinum">
                          <img src="./img/v.svg" alt="v" />
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </horizontal-scroll>
              </div>
            </div>
            <div class="form-box">
              <form>
                <div class="form-row">
                  <div class="form-group col-md-6 col-sm-6 left-side">
                    <div class="form-title">
                      <div class="credit item">
                        <span>Credit Card</span>
                      </div>
                    </div>
                    <div class="left-side-form-box">
                      <div class="form-credit-cards">
                        <div class="master-card">
                          <img src="./img/masterCard.svg" alt="master card" />
                        </div>
                        <div class="visa">
                          <img src="./img/visa.svg" alt="visa" />
                        </div>
                        <div class="express">
                          <img src="./img/express.svg" alt="express" />
                        </div>
                        <div class="discover">
                          <img src="./img/discover.svg" alt="discover" />
                        </div>
                      </div>
                      <div class="card-type">
                        <select>
                          <option value="card_type">Card Type</option>
                          <option value="master_card">Master Card</option>
                          <option value="visa">Visa</option>
                          <option value="american_express">
                            American Express
                          </option>
                          <option value="discover">Discover</option>
                        </select>
                      </div>
                      <div class="card-number">
                        <input type="text" placeholder="Card number" />
                      </div>
                      <div class="card-name">
                        <input type="text" placeholder="XXXX-XXXX-XXXX-XXXX" />
                      </div>
                      <div class="form-item">
                        <div class="date col-md-9 col-sm-9">
                          <input
                            type="text"
                            placeholder="Expiration Date (MM/YY)"
                          />
                        </div>
                        <div class="cvv col-md-3 col-sm-3">
                          <input type="text" placeholder="CVV" />
                        </div>
                      </div>
                      <div class="new-card">
                        <div class="text">
                          <span>New Card</span>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="form-group col-md-6 col-sm-6 right-side">
                    <div class="form-title">
                      <div class="address item">
                        <span>Billing Adress</span>
                      </div>
                    </div>
                    <div class="right-side-form-box">
                      <div class="street">
                        <input type="text" placeholder="Street" />
                      </div>

                      <div class="city">
                        <input type="text" placeholder="City" />
                      </div>
                      <div class="zip">
                        <input type="text" placeholder="Zip" />
                      </div>
                      <div class="countries">
                        <select>
                          <option value="United_States">United States</option>
                          <option value="Canada">Canada</option>
                          <option value="Ukraine">Ukraine</option>
                        </select>
                      </div>
                    </div>
                  </div>
                </div>
              </form>
              <div class="bonus-box">
                <div class="bonus-title">
                  <span>
                    ** Bonus credits are only awarded once at the time of
                    upgrading to Gold or Platinum plans
                  </span>
                </div>
                <div class="bonus-checkboxes">
                  <div class="checkbox-item">
                    <div class="checkbox">
                      <input type="checkbox" />
                    </div>
                    <div class="text">
                      <span>
                        * I understand, that if I do not cancel my 3-day trial
                        during the first 3 days, my card will be charged
                        $9,99/months.
                      </span>
                    </div>
                  </div>
                  <div class="checkbox-item">
                    <div class="checkbox">
                      <input type="checkbox" />
                    </div>
                    <div class="text">
                      <span> * I agree to the Terms adn Conditions </span>
                    </div>
                  </div>
                </div>
                <div class="purchase-button">
                  <button>Purchase</button>
                </div>
              </div>
              <div class="upgrade-box">
                <div class="upgrade-title">
                  <span>Upgrade late</span>
                </div>
                <div class="upgrade-description">
                  <span>
                    <b>Chargeback Notlce: </b> By clicking the “Purchase”
                    button, you authorize you creit card to be charged the
                    amount you selected for the credit package listed above,
                    which provides the ability to utilize services through
                    MilanaDate, including, but not limited to email messaging,
                    instant messaging, and live video streaming, constitutes
                    value received. All orders are processed immediately. All
                    prices are charged in U.S. dollars. Charges will appear on
                    your bill as
                  </span>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="chat-box">
          <Chat />
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import MenuSidebar from "@/components/MenuSidebar";
import Modal from "@/components/Modals/membership";
import HorizontalScroll from "vue-horizontal-scroll";
import Chat from '@/components/Chat/Chat.vue'
export default {
  data: () => ({
    showModal: false,
  }),

  components: {
    MenuSidebar,
    Modal,
    HorizontalScroll,
    Chat
  },
};
</script>

<style lang='scss' src='./styles.scss'>
</style>